Subject: Re: More newbie questions, SSH and paths
From: Andrew Markebo <[email-masked]>
To: "B. Joshua Rosen" <[email-masked]>
Cc: cygwin <[email-masked]>
Date: 24 Apr 2002 09:06:16 +0200

/ "B. Joshua Rosen" <[email-masked]> wrote:
| I've got SSH partially working, I can log into the Win2K box but X
| forwarding isn't working. I've enabled X forwarding in the
| /etc/ssh_config and /etc/sshd_config files but when I ssh -X into the
| box and then try to launch Xemacs nothting happens. Does anyonw have any
| suggestions?

Throw -d at the ssh client and you can see what happens, which machine
do you ssh from, which machine do you try to run xemacs on? What is
the value of DISPLAY in that shell you try to fire it up from?

(BTW xemacs does not need to mean Emacs for X11, it is an emacs called
xemacs, and well this compilation could be missing X11 support)

| I'm also am having a path problem. I've set the path in my .cshrc file
| but it doesn't seem to work. Below I've echoed the $path env variable,

Well, default cygwin business is done through bash, not csh, and
.cshrc is only read by csh-shells.. normal for bash is to set the path
in your ~/.profile. Or set some cshell (csh/tcsh) as your shell.

| /home/bjrosen> which xemacs
| xemacs: Command not found.
| 
| /home/bjrosen> ls
| xemacs.exe

You need to have ./ in the path. Or run ./xemacs.

        /Andy

-- 
 The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/